Name:           camorama
Version:        0.21.2
Release:        %mkrel 2
Summary:        Gnome webcam viewer
Group:          Video/Utilities
License:        GPLv2+
URL:            https://github.com/alessio/camorama
Source0:        https://linuxtv.org/downloads/camorama/camorama-%{version}.tar.gz
Patch0:		fix_crash_on_device_change.patch
BuildRequires:  gcc desktop-file-utils pkgconfig(appstream-glib)
BuildRequires:  gettext-devel libv4l-devel gtk3-devel cairo-devel
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) gnome-common make
Requires:       hicolor-icon-theme

%description
A simple Gnome webcam viewer, with the ability to apply some video effects.


%prep
%autosetup -p1

%build
./autogen.sh
%configure --prefix /usr
%make_build


%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install
%find_lang %{name}

# below is the desktop file and icon stuff.
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{name}.desktop
appstream-util validate-relax --nonet \
  $RPM_BUILD_ROOT%{_metainfodir}/%{name}.appdata.xml


%files -f %{name}.lang
%doc AUTHORS ChangeLog README.md THANKS TODO
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/*
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/camorama.desktop
%{_datadir}/icons/hicolor/*x*/devices/%{name}.png
%{_mandir}/man1/%{name}.1*



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.21.2-2.mga10
+ Revision: 2214765
- Mageia 10 Mass Rebuild

* Sun Jul 10 2022 tv <tv> 0.21.2-1.mga9
+ Revision: 1868383
- 0.21.2
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std
+ dmorgan <dmorgan>
- Remove mdv macros
- imported package camorama


* Tue Jun 09 2009 Jérôme Brenier <incubusss@mandriva.org> 0.19-5mdv2010.0
+ Revision: 384472
- fix license

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jul 31 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.19-4mdv2009.0
+ Revision: 258516
- Added camorama-0.19-fixes.patch from libv4l.

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.19-3mdv2009.0
+ Revision: 243429
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - use %%preun_uninstall_gconf_schemas
    - use %%post_install_gconf_schemas/%%preun_uninstall_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.19-1mdv2008.1
+ Revision: 97309
- Add files

* Sun Jun 24 2007 Funda Wang <fundawang@mandriva.org> 0.18-1mdv2008.0
+ Revision: 43559
- fix xdg menu
- Add patches from debian to get it build
- patch not needed
  use images inside tarball
- New version
- Import camorama



* Thu Jan 05 2005 Lenny Cartier <lenny@mandriva.com> 0.17-3mdk
- rebuild with a debian like patch

* Fri Jan 02 2004 Franck Villaume <fvill@freesurf.fr> 0.17-2mdk
- add BuildRequires : png-devel
- cosmetic on spec file

* Thu Sep 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.17-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- fix locale
	- new version

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.16-5mdk
- rebuild against latest ORBit2
- fix buildrequires

* Sun Apr 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.16-4mdk
- adjust buildrequires

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.16-3mdk
- Fix BuildRequires (thanks to Stefan bot)

* Thu Jan 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-2mdk
- Add schema registration => fix crash at startup..

* Tue Jan 21 2003 Austin Acton <aacton@yorku.ca> 0.16-1mdk
- 0.16
- play with files section

* Tue Dec 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.15-1mdk
- add icons
- from Matthias Debus <psic4t@netbands.de> :
	- initial contrib package
